package im.zego.zimchatroomdemo;

import android.app.Application;
import android.content.Context;

import im.zego.zimchatroomdemo.utils.KeyCenter;
import im.zego.zimchatroom.ZIMChatRoom;
import com.tencent.bugly.crashreport.CrashReport;

//全局获取content
public class MyApplication extends Application {
    public static Context context;

    @Override
    public void onCreate() {
        super.onCreate();
        context = getApplicationContext();
        ZIMChatRoom chatRoom = ZIMChatRoom.getInstance();
        chatRoom.init(KeyCenter.appID(), KeyCenter.appExpressSign(),this);//初识化chatRoom
        CrashReport.initCrashReport(getApplicationContext(), "6cf7237dd4", false);
    }

    public static Context getContext() {
        return context;

    }
}