package im.zego.zimchatroomdemo.adapter.holder;

import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import im.zego.zimchatroomdemo.R;

//整个在麦位的用户列表
public class UserInChatListHolder extends RecyclerView.ViewHolder {
    public RelativeLayout relativeLayout;
    public TextView tvUserName;
    public ImageView ivAvatarTalking;
    public ImageView ivAvatar;
    public ImageView ivMicOff;
    public ImageView ivMicOn;
    public ImageView ivOwnerAvatar;
    public RelativeLayout progress;
    
    public UserInChatListHolder(@NonNull View itemView) {
        super(itemView);
        tvUserName = itemView.findViewById(R.id.tv_user_name);
        ivAvatarTalking = itemView.findViewById(R.id.iv_avatar_talking);
        ivAvatar = itemView.findViewById(R.id.iv_avatar);
        ivMicOff = itemView.findViewById(R.id.iv_mic_off);
        ivMicOn = itemView.findViewById(R.id.iv_mic_on);
        progress = itemView.findViewById(R.id.progress);
        relativeLayout = itemView.findViewById(R.id.relativeLayout);
        ivAvatar.setVisibility(View.INVISIBLE);//默认是没有头像因为没有使用！！
        ivMicOff.setVisibility(View.INVISIBLE);
        ivOwnerAvatar = itemView.findViewById(R.id.iv_owner_avatar);
    }


}
