package im.zego.zimchatroom.entity;

import java.util.Objects;

public class ZIMChatRoomSeatAttribution {

    String user_id = "";//当前位置上的用户
    int index;//共有8个麦位所以要定好
    boolean is_muted;//确定是否静音
    boolean is_locked; // 当前麦位是否被锁，若被锁，则 user_id 为 null
    String extras;//这个是用于麦位的延伸信息，暂时可能用不到

    public ZIMChatRoomSeatAttribution() {
        this.user_id = "";
        this.index = -1;
        this.is_muted = false;
        extras = "";
    }

    public ZIMChatRoomSeatAttribution(String user_id, int index) {
        this.user_id = user_id;
        this.index = index;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public String getUser_id() {
        return user_id;
    }

    public void setUser_id(String user_id) {
        this.user_id = user_id;
    }

    public boolean isIs_muted() {
        return is_muted;
    }

    public void setIs_muted(boolean is_muted) {
        this.is_muted = is_muted;
    }

    public boolean isIs_locked() {
        return is_locked;
    }

    public void setIs_locked(boolean is_locked) {
        this.is_locked = is_locked;
    }

    public String getExtras() {
        return extras;
    }

    public void setExtras(String extras) {
        this.extras = extras;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ZIMChatRoomSeatAttribution that = (ZIMChatRoomSeatAttribution) o;
        return index == that.index && is_muted == that.is_muted && is_locked == that.is_locked && Objects.equals(user_id, that.user_id) && Objects.equals(extras, that.extras);
    }

    @Override
    public int hashCode() {
        return Objects.hash(user_id, index, is_muted, is_locked, extras);
    }
}
