package im.zego.zimchatroom.entity;

import static im.zego.zimchatroom.emus.ZIMChatRoomVoiceStatus.UNUSED;

import im.zego.zimchatroom.emus.ZIMChatRoomVoiceStatus;

import java.util.Objects;

public class ZIMVoiceSeat {
    ZIMChatRoomVoiceStatus status ;
    ZIMChatRoomSeatAttribution attribution;

    public ZIMVoiceSeat() {
        status = UNUSED;//默认
        attribution = new ZIMChatRoomSeatAttribution();
    }

    public ZIMChatRoomVoiceStatus getStatus() {
        return status;
    }

    public void setStatus(ZIMChatRoomVoiceStatus status) {
        this.status = status;
    }

    public ZIMChatRoomSeatAttribution getAttribution() {
        return attribution;
    }

    public void setAttribution(ZIMChatRoomSeatAttribution attribution) {
        this.attribution = attribution;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        ZIMVoiceSeat that = (ZIMVoiceSeat) o;
        return status == that.status && Objects.equals(attribution, that.attribution);
    }

    @Override
    public int hashCode() {
        return Objects.hash(status, attribution);
    }
}
