package im.zego.zimchatroom.internal;

import im.zego.zegoexpress.ZegoExpressEngine;
import im.zego.zegoexpress.entity.ZegoAudioConfig;

/**
 音频管理模块，在这里实现设置麦克风静音，扬声器静音，音浪变化的相关操作；远端麦克风和扬声器的回调等等
 */
public  class ZIMAudioProfileManager {
    ZegoExpressEngine zegoExpressEngine;

    public ZIMAudioProfileManager() {
    }

    /**
        在这里具体实现管理麦克风和扬声器等等相应方法
     */
    //关闭麦克风
    public void muteMicrophone(boolean isMuted){
        zegoExpressEngine.muteMicrophone(isMuted);
    }
    //关闭扬声器
    public void muteSpeaker(boolean isMuted){
        zegoExpressEngine.muteSpeaker(isMuted);
    }


    public void setExpressEngine(ZegoExpressEngine zegoExpressEngine) {
        this.zegoExpressEngine = zegoExpressEngine;
        ZegoAudioConfig config = new ZegoAudioConfig();
        this.zegoExpressEngine.setAudioConfig(config);
    }
}
